#ifndef MACHINESTATE_H
#define MACHINESTATE_H

#include <QObject>

class MachineState : public QObject
{
    Q_OBJECT
public:
    explicit MachineState(QObject *parent = nullptr);

    enum calibrateState{

        IDLE_STATE = 0,
        SET_JTAG_POS_STATE,
        PROGRAMMING_FLASH_MODULE_STATE,
        WAITING_STABLE_CAL_POINT_1_CHANNEL_1_STATE,
        WAITING_STABLE_CAL_POINT_1_CHANNEL_2_STATE,
        WAITING_STABLE_CAL_POINT_2_CHANNEL_1_STATE,
        WAITING_STABLE_CAL_POINT_2_CHANNEL_2_STATE,

        MAKE_CAL_CHANNEL_1_MODULE_AP01_STATE,
        MAKE_CAL_CHANNEL_2_MODULE_AP01_STATE,

        SET_CAL_POINT_1_CHANNEL_1_STATE,
        SET_CAL_POINT_2_CHANNEL_1_STATE,

        SET_CAL_POINT_1_CHANNEL_2_STATE,
        SET_CAL_POINT_2_CHANNEL_2_STATE,

        SET_PRODUCTION_NUMBER_STATE,

        WRITE_CAL_TO_EEPROM_STATE,


        SET_TEST_POINT_1_CHANNEL_1_STATE,
        WAITING_STABLE_TEST_POINT_1_CHANNEL_1_STATE,

        SET_TEST_POINT_2_CHANNEL_1_STATE,
        WAITING_STABLE_TEST_POINT_2_CHANNEL_1_STATE,

        SET_TEST_POINT_1_CHANNEL_2_STATE,
        WAITING_STABLE_TEST_POINT_1_CHANNEL_2_STATE,

        SET_TEST_POINT_2_CHANNEL_2_STATE,
        WAITING_STABLE_TEST_POINT_2_CHANNEL_2_STATE,

        SUMMARY_CAL_STATE,
        END_CAL_STATE

    };

    enum modusDeviceState{

        MODBUS_DEV_IDLE_STATE = 0,
        MODBUS_DEV_READ_REG_STATE,
        MODBUS_DEV_WRITE_REG_STATE,
        MODBUS_DEV_READ_FINISH_REG_STATE,
        MODBUS_DEV_WRITE_FINISH_REG_STATE,
    };


    char presentMachineState;
    char lastMachineState;

signals:

public slots:
};

#endif // MACHINESTATE_H
